# call of the printer driver dvijep with the file $main_file,
#                                                    output into $prt_file
#
# Copyright (C) 1994  G. Lamprecht, W. Lotz, R. Weibezahn; LRW c/o Uni Bremen
# Copyright (C) 1996  G. Lamprecht, W. Lotz, R. Weibezahn; IWD, Bremen University

proc prt_dvijep {f austext} {

  upvar 1 $austext a

  global vv main_file prtoptions pg_start pg_end prmsel prt_file opsep printcops dirprefix
  global prtsuf

  set a ""
  set a "${a}[datime] $vv(dta1) \"[lindex [info level [info level]] 0].tcl\" $vv(dta2)\n"

###################### delete the following lines  ########################################
global email language
set a "${a}*** Procedure \"prt_dvijep\" in file \"prt_dvijep.tcl\" not tested up to now\n"
set a "${a}*** please remove the marked commands an test this file\n"
set a "${a}*** (test also file \"locals_$language/prt_dvijep.vst\")\n"
set a "${a}*** and send any modifications to $email  "; mybell 4; return 0
###################### stop deleting of lines here ########################################

  if {$dirprefix==""} {set mfile $main_file} else {set mfile [stripdir $main_file]} 

  set opt1 "[lindex [split $prtoptions $opsep] 1]";# set driver options (except format)
  if {$printcops!="1"} {set opt1 "$opt1 -c$printcops"};# add number of copies to options
  set opt2 "[lindex [split $prtoptions $opsep] 2]";# set format dependent driver options

  set opt_seiten ""  

  if {$prmsel=="rel" || $prmsel=="u_rel" || $prmsel=="g_rel"} {

    if {$pg_start=="$vv(dmstart)"} {set start 1}    else {set start $pg_start}
    if {$pg_end  =="$vv(dmend)"}   {set ende  9999} else {set ende  $pg_end}
    set incr "1"
    if {$prmsel=="u_rel"} {
      set start [expr "(($start/2)*2)+1"]
      set incr "2"
    }
    if {$prmsel=="g_rel"} {
      set start [expr "(($start+1)/2)*2"]
      set incr "2"
    }
    set opt_seiten "-o$start:$ende:$incr"

  } else {       # error: unexpected value of $prmsel      

    set a "${a}*** $vv(aerr) (prt_dvijep.tcl): $vv(dt1) $prmsel\n"
    set a "${a}    $vv(adm)\n\n"
    mybell 3; return 1

  }
  
  eval mkCmd_wait $f dvijep [list "$opt1 $opt2 $opt_seiten $mfile"]
  if {$mfile$prtsuf!=$prt_file} {
    signal block SIGCHLD; exec mv $mfile$prtsuf $prt_file; signal unblock SIGCHLD
  }

  return 0

}
