# Voreinstellungsmen fr Logfiles/Protokolldateien   
#
# Copyright (C) 1994  G. Lamprecht, W. Lotz, R. Weibezahn; LRW c/o Uni Bremen
# Copyright (C) 1996  G. Lamprecht, W. Lotz, R. Weibezahn; IWD, Bremen University

proc lv  {} {

proc lvanzeige {s1} {
  global vv Wl logtext logform logback logxterm logoptions main_file lsuff
  writescr0 $Wl.d.tt "$s1\n\n$logtext\n\n $vv(lv2)  $logform$logback\n" \
	" $vv(lv7)  $logxterm\n $vv(lv3)  $logoptions\n" \
	" $vv(lv4)  [stripdir $main_file]$lsuff\n"
}

proc lvfsel {s} {
  global Wl vv lvfsep logtext logxterm logform logoptions logback lvfsel_v lsuff lvssel_v
  set logtext [getvalue $s 0 $lvfsep]; set logxterm   [getvalue $s 1 $lvfsep]
  set logform [getvalue $s 2 $lvfsep]; set logoptions [getvalue $s 3 $lvfsep]
  if {($logform=="tla")&&($lsuff!=".log")} {set lsuff ".log"; set lvssel_v ""}
  progback logform logback;  logedit;  lvanzeige "$vv(lv5)"
  knoepfe; set lvfsel_v "$s"
}

proc lvssel {s} {
  global Wl vv main_file lsuff lvssel_v logform
  set i "$s"; set i [string range $i 0 [expr [string first " " $i]-1]]
  set i [string range $i [string last "." $i] end]
  if {($i!=".log")&&($logform=="tla")} {
      writescr0 $Wl.d.tt "$vv(lv8) $main_file.log"; set lvssel_v ""; return
  }
  if {$i!=""} {set lsuff $i; writescr0 $Wl.d.tt "$vv(lv6) [stripdir $main_file]$lsuff\n"}
  knoepfe; set lvssel_v "$s"
}

proc logedit {} {
  global logform logxterm logback logoptions logtext edxterm editor edback edoptions
  if {$logform=="\$editor"} {
    set logxterm $edxterm; set logform $editor; set logback $edback; set logoptions $edoptions
    set logtext ""
  }
}

proc lvWlae {} {global Wl; destros $Wl; knoepfe; unlock_list}


global vv Wl dir main_file logform logtext logback lsuff lvfsep lvfsel_v lvssel_v

TestPut 3 "<$main_file>"

if {$main_file==""} {writescr0 .d.tt "***** $vv(ea1)\n";  unlock_list; mybell 2; return}


toplevel_init $Wl "$vv(lvvor)" 0 0;  set tyh 20;  set dir [pwd]


# Bereich a fuer erste Buttons

insertTopButtons $Wl lv_h lvWlae
button $Wl.a.g -text "$vv(ag)" -command \
	{vstr_logfile; progback logform logback; logedit; lvanzeige "$vv(ausg1)"; knoepfe}
Bind3HF $Wl.a.g lv_grund $Wl.d.tt
pack configure $Wl.a.g -side left -padx 3 -pady 3


# Bereich bv fuer eigene Einstellungen

frame  $Wl.bv; pack configure $Wl.bv -pady 13 -anchor w
label  $Wl.bv.dv -text "$vv(bvdv)" -width 23 -anchor w
Bind3HF $Wl.bv.dv z_voreinst1 $Wl.d.tt
button $Wl.bv.va -text "$vv(bvva)" -command {lvanzeige "$vv(aus0)"}
Bind3HF $Wl.bv.va z_voreinst1 $Wl.d.tt
pack configure $Wl.bv.dv $Wl.bv.va -side left


# Bereich c fuer Wechsel

frame $Wl.c; pack configure $Wl.c -anchor w
set wi 45; set he 12

# Bereich c1 fuer Wechsel Darstellungsart

frame $Wl.c.1; pack configure $Wl.c.1 -side left -anchor nw -fill x
set lvfsep [getsep logform.vst]
CreateLSBox $Wl.c.1 $vv(lvc1fl) top $wi $he 2 lv_logform $Wl.d.tt \
	$lvfsep [vst2list logform.vst 1 $lvfsep "$logtext" lvfsel_v] lvfsel "" lvWlae


# Bereich c2 fuer Wechsel Protokolldatei

frame $Wl.c.2; pack configure $Wl.c.2 -side left -anchor nw
set dateiliste [lsort [glob -nocomplain -- *]]
set f [open_vst logsuffix.vst]
set l ""; set lvssel_v ""
while {[getscl $f e]>0} {
  if {$lsuff==[getvalue $e 0 " "]} {set lvssel_v "$e"}
  set suff [string trim [string range $e 0 [string first " " $e]]]
  if {[string first [stripdir $main_file]$suff $dateiliste]>=0} {lappend l $e}
}
close $f
CreateLSBox $Wl.c.2 $vv(lvc2dl) top $wi $he 2 lv_filesel $Wl.d.tt "" $l lvssel "" lvWlae
if {$l==""} {destroy $Wl.c.2.f.f; $Wl.c.2.f.l configure -text $vv(lvc2dn)}


InsertTextFrame $Wl $tyh

focus $Wl
}
