# previewing  of the file $main_file with the previewer $preview   
#
# Copyright (C) 1994  G. Lamprecht, W. Lotz, R. Weibezahn; LRW c/o Uni Bremen
# Copyright (C) 1996  G. Lamprecht, W. Lotz, R. Weibezahn; IWD, Bremen University

proc preview {f austext} {

  upvar 1 $austext a

  global  vv preview prback proptions main_file prsuffix pid prpreopt dirprefix

  set a ""
  writescr0 $f "[datime] $vv(pr1) $main_file$prsuffix\n"

  if {$dirprefix==""} {set mfile $main_file} else {set mfile [stripdir $main_file]} 

  if {$mfile==""} {set a "${a}***** $vv(ea1)\n"; mybell 2; return}

  if {$prsuffix==".ps"} {# postscript preview: recreate postscript file 

    if {[file exists "$mfile.ps"]} { # postscript file exists

      if {[file exists "$mfile.dvi"]} {
        if {[file mtime "$mfile.dvi"]>[file mtime "$mfile.ps"]} {
          writescr $f "$vv(pr2) dvips $mfile.dvi $prpreopt -o $mfile.ps\n"
          mkCmd_wait $f dvips "$mfile.dvi $prpreopt -o $mfile.ps"
        }
      } 

    } else { # postscript file not found

      if {[file exists "$mfile.dvi"]} { # .dvi file exists

        writescr $f "$vv(pr3) dvips $mfile.dvi $prpreopt -o $mfile.ps\n"
        mkCmd_wait $f dvips "$mfile.dvi $prpreopt -o $mfile.ps"
 
      } else { # .dvi file not found either

        writescr $f "\n***** $vv(pr4) $mfile.ps $vv(pr5) $mfile.dvi)!\n$vv(pr6)\n"
        mybell 2; return

      }
    }

  }


  if {[file exists "$mfile$prsuffix"]} {
 
    set a "${a}[datime] $preview $vv(pr7)\n"
 
    set message ""
    signal block SIGCHLD
    eval set res [catch "exec $preview $proptions $mfile$prsuffix $prback" message]
    signal unblock SIGCHLD
    set pid "$message"

    set a "${a}$message\n"
    if {$res!=0} {set a "${a}$vv(pr8)=$res\n"}

  } else {

    set a "${a}\n\n***** $vv(pr9) $mfile$prsuffix $vv(ea4)\n$vv(pr6)\n"; mybell 2; return

  }

}
